// oolite.oxp.Wildeblood.noisy_passengers

"use strict";

this.name    = "Noisy Passengers";
this.version = "0.1"; // "Wildeblood", July 25th, 2014

this.shipLaunchedFromStation = function()
   {
   if (player.ship.passengers.length > 0)
      {
      this.$passengerNoiseTimer = new Timer(this, this._passengerNoise, (Math.random() * 1000), 30);
      }
   }

this.shipWillDockWithStation = function()
   {
   if (this.$passengerNoiseTimer)
      {
      this.$passengerNoiseTimer.stop();
      delete this.$passengerNoiseTimer;
      }
   }

this._passengerNoise = function ()
   {
	if      (player.alertAltitude) player.consoleMessage("Passenger: You’re getting awfully close to the ground, aren’t you?");
	else if (player.alertHostiles) player.consoleMessage("Passenger: Hey, is someone shooting at us?");
	else if (player.alertEnergy) player.consoleMessage("Passenger: Are we going to die out here in the cold vastness of space?");
	else if (player.alertTemperature) player.consoleMessage("Passenger: Hey, it’s getting hot in here.");
	else if (player.alertMassLocked) player.consoleMessage("Passenger: There’s a lot of other ships about.");
	else if (player.alertCondition === 1) player.consoleMessage("Passenger: I’m bored. Are we there yet?");

   this.$passengerNoiseTimer.interval = (Math.random() * 1000);
   }

/* ====================================================================================
			COPYRIGHT NOTICE

	(C)2014, Wildeblood. All rights reserved. 
	Free to use, but DO NOT PROMULGATE MODIFIED VERSIONS.

This was created by some fellow with the user name "Wildeblood" on the Oolite forums, 
he'll tell you his real name if you bother to ask.
To use means to play with, modify or re-use in whole or in part, and to distribute freely.
To use DOES NOT imply to use for commercial gain, which would be a breach of copyright.
To promulgate means to make official announcements.
======================================================================================= */
